
ChiliProject - Bug # 609: clicking on a user give 500 Internal Error

Status: Closed Priority: Normal
Author: Daniele Segato Category:
Created: 2011-09-05 Assignee:
Updated: 2011-09-11 Due date:
Remote issue URL:
Affected version:
Description: Just clicked on a user

<pre>
Processing UsersController#show (for 192.168.88.87 at 2011-09-05 16:25:15) [GET]
  Parameters: {"action"=>"show", "id"=>"3", "controller"=>"users"}

ActiveRecord::ConfigurationError (Association named 'job' was not found; perhaps you misspelled it?):
  lib/redmine/activity/fetcher.rb:82:in `events'
  lib/redmine/activity/fetcher.rb:81:in `each'
  lib/redmine/activity/fetcher.rb:81:in `events'
  lib/redmine/activity/fetcher.rb:80:in `each'
  lib/redmine/activity/fetcher.rb:80:in `events'
  app/controllers/users_controller.rb:68:in `show'
  thin (1.2.11) lib/thin/connection.rb:84:in `pre_process'
  thin (1.2.11) lib/thin/connection.rb:82:in `catch'
  thin (1.2.11) lib/thin/connection.rb:82:in `pre_process'
  thin (1.2.11) lib/thin/connection.rb:57:in `process'
  thin (1.2.11) lib/thin/connection.rb:42:in `receive_data'
  eventmachine (0.12.10) lib/eventmachine.rb:256:in `run_machine'
  eventmachine (0.12.10) lib/eventmachine.rb:256:in `run'
  thin (1.2.11) lib/thin/backends/base.rb:61:in `start'
  thin (1.2.11) lib/thin/server.rb:159:in `start'
  thin (1.2.11) lib/thin/controllers/controller.rb:86:in `start'
  thin (1.2.11) lib/thin/runner.rb:185:in `send'
  thin (1.2.11) lib/thin/runner.rb:185:in `run_command'
  thin (1.2.11) lib/thin/runner.rb:151:in `run!'
  thin (1.2.11) bin/thin:6
  /home/chili/.rvm/gems/ruby-1.8.7-p352/bin/thin:19:in `load'
  /home/chili/.rvm/gems/ruby-1.8.7-p352/bin/thin:19

Rendering /home/chili/chiliproject/public/500.html (500 Internal Server Error)
</pre>

Some information on my environment
<pre>
$ RAILS_ENV=production script/about
About your application's environment
Ruby version              1.8.7 (x86_64-linux)
RubyGems version          1.6.2
Rack version              1.1.2
Rails version             2.3.12
Active Record version     2.3.12
Active Resource version   2.3.12
Action Mailer version     2.3.12
Active Support version    2.3.12
Application root          /home/chili/chiliproject
Environment               production
Database adapter          mysql
Database schema version   20110729125454

About your Redmine plugins
Redmine Gitolite Hook plugin   0.1.1
Redmine Hudson plugin          1.0.7
Mylyn Connector plugin         2.7.4.stable
</pre>

Associated revisions
2008-02-06 09:02 pm - Jean-Philippe Lang 
Create a journal and send an email when an issue is closed by commit (#609).
The redmine user is found using the committer username or email. Otherwise, the journal is created with anonymous user.

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1126 e93f8b46-1217-0410-a6f0-8f06a7374b81

History
2011-09-05 02:46 pm - Felix Schäfer
You probably have a plugin that isn't compatible with ChiliProject 2. Do you have any plugins that create "job" or similarly named activity entries?

2011-09-05 02:47 pm - Holger Just
- Status changed from Open to Needs more information

There is no such association defined on a user model in the core ChiliProject. Therefore, I assume you have installed a plugin which either:
* is not fully installed (e.g. you've forgotten a database migration),
* not compatible with ChiliProject,
* or just plain broken.

Please remove any user-installed plugins and try to identify which plugin is creating the error. Then contact the original author.

2011-09-05 03:04 pm - Daniele Segato
- Status changed from Needs more information to Ready for review

Doing a grep (as expected) I can find many words "job" inside the hudson plugin.

but we need it and there isn't a port for chiliproject.
I need other plugins for which there isn't a chiliproject porting yet (gitolite and mylyn).
The thing that they could stop working is blocking and could force me to freeze the chiliproject version and / or switch back to redmine.
This is another "bug / feature request" of course.... But I would really like to keep up with chili.

going back to the ticket...

hudson plugin is working in project setting and I can execute Jenkins jobs from my project.

If you can't provide support for this plugin can you help me (and other with the same issue) to identify the issue withing the hudson source code and 
disable/fix the part that cause the issue?
2011-09-05 03:15 pm - Daniele Segato
Holger Just wrote:
> There is no such association defined on a user model in the core ChiliProject. Therefore, I assume you have installed a plugin which either:
> * is not fully installed (e.g. you've forgotten a database migration),

doubt so :)

> * not compatible with ChiliProject,

this could be :/

> * or just plain broken.

doubt so

> Please remove any user-installed plugins and try to identify which plugin is creating the error. Then contact the original author.

is there a way to "temporary" disable a plugin without uninstalling it?

2011-09-05 07:21 pm - Felix Schäfer
Daniele Segato wrote:
> > Please remove any user-installed plugins and try to identify which plugin is creating the error. Then contact the original author.
> 
> is there a way to "temporary" disable a plugin without uninstalling it?

Change the permissions of the plugin's directory to something the user running ChiliProject can't read (or just set them to 000 to be sure).

Regarding the plugin: the journaling/versioning scheme has changed in ChiliProject 2, meaning plugins using those or providing activities need to be 
updated. I can provide you or the author of the plugin with docs and/or instructions to update the plugin as needed.

2011-09-06 07:33 am - Daniele Segato
Felix SchÃ¤fer wrote:
> Change the permissions of the plugin's directory to something the user running ChiliProject can't read (or just set them to 000 to be sure).

thanks
I did it and I confirmed the issue is within the redmine_hudson plugin

> Regarding the plugin: the journaling/versioning scheme has changed in ChiliProject 2, meaning plugins using those or providing activities need to be 
updated. I can provide you or the author of the plugin with docs and/or instructions to update the plugin as needed.

I'm a developer but not a Ruby's one: if it's not very complicated I'm willing to fix the software.. And I would really appreciate your instruction both to me 
and to the plugin developers: http://code.google.com/p/r-labs/

I also upgraded the plugin to the last tag (0.1.4) to check if it was already fixed: it isn't.

2011-09-06 09:50 am - Daniele Segato
Daniele Segato wrote:
> I also upgraded the plugin to the last tag (0.1.4) to check if it was already fixed: it isn't.

after upgrading the plugin I noticed there were more issues... so I checked and I've seen the 0.1.4 tagged version is behind the trunk version (previously 
installed)....
So I reverted back to the trunk.... Anyway I confirm that with the current trunk version (@r570 | toshiyuki.ando1971@gmail.com | 2011-06-05 01:59:26 
+0200 (Sun, 05 Jun 2011) | 3 lines@) I have the reported issue and anything else seems to work.

2011-09-11 10:06 am - Holger Just
- Status changed from Ready for review to Closed

So concluding this is a plugin issue not one of the ChiliProject core. Please tell the plugin author(s) and work with them on ChiliProject compatibility.

2020-10-25 4/4


